import pytest
from datetime import datetime
import sys 

sys.path.extend(['./src', '../src'])
from main import get_values
from syrupy.extensions.single_file import SingleFileSnapshotExtension
from syrupy.extensions.amber import AmberSnapshotExtension


class SeparateSnapshot(AmberSnapshotExtension, SingleFileSnapshotExtension):
    @property
    def _file_extension(self) -> str:
        return "ambr"


@pytest.fixture
def snapshot(snapshot):
    return snapshot.use_extension(SeparateSnapshot)



def test_values(snapshot):
    values = get_values()
    assert values == snapshot


def test_values_2(snapshot):
    values = get_values() + get_values()  
    assert values == snapshot

# def test_values_3(snapshot):
#     values = "Should be 3 snapshots with -n auto"
#     assert values == snapshot
